openerp.eiru_reporting_dashboard = function (instance) {
    "use strict";

    instance.eiru_reporting_dashboard = {};
    instance.eiru_reporting_dashboard.reports = {};

    var dashboard = instance.eiru_reporting_dashboard;

    widget_reporting_base(instance, dashboard);
    dashboard_reporting_widget(instance, dashboard);
    
    try{
        
        user(dashboard);
        
        /*===========
            WIDGETS
        ===========*/

        widget_sale(dashboard);
        widget_purchase(dashboard);
        widget_expense(dashboard);
        widget_balance(dashboard);
        widget_cash(dashboard);
        widget_bank(dashboard);
        widget_account_receivable(dashboard);
        widget_account_to_pay(dashboard);

        /*==========
            CHARTS
        ==========*/

        chart_ingreso_egreso(dashboard);
        chart_sale_by_store(dashboard);
        chart_ranking_customer(dashboard);
        chart_ranking_product(dashboard);
        chart_ranking_salesman(dashboard);

    }catch(e){
        // error
    }
    
    // Action
    instance.web.client_actions.add('eiru_reporting_dashboard.action_dashboard', 'instance.eiru_reporting_dashboard.DashboardReportingWidget');
}
